Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DetailedTransactionInfo

    java.lang.Object
      com.tibco.tibjms.admin.TransactionInfo
          com.tibco.tibjms.admin.DetailedTransactionInfo

    public class DetailedTransactionInfo

extends TransactionInfo

This class represents the a transaction as it is present on the EMS server. In addition to TransactionInfo it contains more detail. Especially about Messages that are part of this transaction.

Since:
  EMS 6.1

Nested Class Summary
`static class` | `DetailedTransactionInfo.ConsumerMessage` This class represents a Message that is about to be consumed on commit.
`static class` | `DetailedTransactionInfo.ProducerMessage` This class represents a Message that is about to be produced on commit.
`static class` | `DetailedTransactionInfo.XAMessage`

Field Summary

Fields inherited from class com.tibco.tibjms.admin.TransactionInfo
`TRANSACTION_ACTIVE, TRANSACTION_ENDSUCCESS, TRANSACTION_PREPARED, TRANSACTION_ROLLBACKONLY, TRANSACTION_SUSPENDED, TRANSACTION_UNKNOWN`

Method Summary
`DetailedTransactionInfo.ConsumerMessage[]` | `getConsumerMessages()` Get the list of messages that are about to be consumed on commit of this transaction.
`DetailedTransactionInfo.ProducerMessage[]` | `getProducerMessages()` Get the list of messages that are about to be produced on commit of this transaction.

Methods inherited from class com.tibco.tibjms.admin.TransactionInfo
`from, getBranchQualifier, getFormatId, getGlobalTransactionId, getState, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getProducerMessages

    public DetailedTransactionInfo.ProducerMessage[] getProducerMessages()

  Get the list of messages that are about to be produced on commit of this transaction.

  Returns:
    the list of messages that are about to be produced on commit of this transaction. Null indicates that messages where not collected due to transaction state.

### getConsumerMessages

    public DetailedTransactionInfo.ConsumerMessage[] getConsumerMessages()

  Get the list of messages that are about to be consumed on commit of this transaction.

  Returns:
    the list of messages that are about to be consumed on commit of this transaction. Null indicates that messages where not collected due to transaction state.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved